import { reactive } from 'vue'

export const basePlan = {
  plan: '',
  startTime: '',
  endTime: '',
  classNum: 1
}

export const createState = reactive({
  subjectList: [], // 声部列表
  active: 1,
  rate: 0,
  minutes: [] as any,
  tabIndex: 1,
  templateList: [
    'https://daya.ks3-cn-beijing.ksyun.com/202110/Sn2OAjr.png',
    'https://daya.ks3-cn-beijing.ksyun.com/202108/ShHJ1Bb.png',
    'https://daya.ks3-cn-beijing.ksyun.com/202110/Sn76BUQ.png'
  ], // 模板列表
  selectCourseList: [] as any, // 选择课程列表
  coursePlanStatus: false, // 是否有锁课程
  live: {
    name: '',
    subjectId: null as any,
    courseIntroduce: '',
    courseNum: null as any,
    singleCourseMinutes: 0,
    singleMins: null as any,
    coursePrice: null as any,
    salesStartDate: '',
    salesEndDate: '',
    mixStudentNum: null as any,
    backgroundPic: '',
    backgroundPicTemplate: '',
    coursePlanList: [
      {
        ...basePlan
      }
    ]
  }
})
