import { Button, Sticky } from 'vant'
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'timer',
  props: {
    onChoice: {
      type: Function,
      default: (item: any) => {}
    }
  },
  data() {
    return {
      timerList: []
    }
  },
  render() {
    return (
      <div class="timer">
        jijij
        <Sticky offsetBottom={0} position="bottom">
          <div class={'btnGroup'}>
            <Button
              block
              round
              type="primary"
              onClick={() => this.onChoice(this.timerList)}
            >
              确定
            </Button>
          </div>
        </Sticky>
      </div>
    )
  }
})
